## unhtml 2.2

=== Makefile ===
#
# Makefile for unhtml
#
# If you are parsing an HTML file that has a large Javascript program
# in it, you may need to set MAX_TAG_SIZE to something higher and
# recompile
#

CC     = gcc
RM     = rm -f
CFLAGS = -Wall
# CFLAGS = -Wall -DDEBUG


all:	unhtml clean

unhtml:	unhtml.o ops.o
	$(CC) -o unhtml unhtml.o ops.o

unhtml.o:	unhtml.c ops.h
	$(CC) $(CFLAGS) -c unhtml.c

ops.o:	ops.c ops.h
	$(CC) $(CFLAGS) -c ops.c

clean:
	$(RM) core *.o

install:
	cp unhtml /usr/local/bin
	chmod 755 /usr/local/bin/unhtml
	cp unhtml.1 /usr/local/man/man1
	chmod 644 /usr/local/man/man1/unhtml.1

## unhtml 2.3.3

=== Makefile ===
--- 
+++ 
@@ -12,19 +12,22 @@
 # CFLAGS = -Wall -DDEBUG
 
 
-all:	unhtml clean
+all:	unhtml
 
-unhtml:	unhtml.o ops.o
-	$(CC) -o unhtml unhtml.o ops.o
+unhtml:	unhtml.o ops.o esc.o
+	$(CC) -o unhtml unhtml.o ops.o esc.o
 
-unhtml.o:	unhtml.c ops.h
+unhtml.o:	unhtml.c ops.h esc.h
 	$(CC) $(CFLAGS) -c unhtml.c
 
 ops.o:	ops.c ops.h
 	$(CC) $(CFLAGS) -c ops.c
 
+esc.o:	esc.c esc.h
+	$(CC) $(CFLAGS) -c esc.c
+
 clean:
-	$(RM) core *.o
+	$(RM) core *.o unhtml
 
 install:
 	cp unhtml /usr/local/bin

=== debian/changelog ===
unhtml (2.3.3) unstable; urgency=low

  * Fixed override disparity

 -- Paul Seelig <pseelig@debian.org>  Fri, 21 Dec 2001 16:26:55 +0200

unhtml (2.3.2) unstable; urgency=low

  * Fixed some of the minor lintian errors which are listed at
    "http://lintian.debian.org/reports/mPaul_Seelig.html".

 -- Paul Seelig <pseelig@debian.org>  Wed, 19 Dec 2001 19:36:43 +0200

unhtml (2.3.1) unstable; urgency=low

  * Correcting falsely defined Build-Depends. (closes: #90108)

 -- Paul Seelig <pseelig@debian.org>  Mon, 19 Mar 2001 13:50:57 +0200

unhtml (2.3.0) unstable; urgency=low

  * Adapt version number to reflect selfcontainedness of package source.
  * Added Build-Depends in debian/control file. (closes: #89150)

 -- Paul Seelig <pseelig@debian.org>  Thu, 15 Mar 2001 03:47:17 +0200

unhtml (2.3-1) unstable; urgency=low

  * Increased MAX_TAG_SIZE in ops.h from 1024 to 65536 (closes: #64215)
  * Since there is no upstream maintainer for the sources anymore i've 
    decided to make this package a self contained Debian package, thus 
    getting rid of any dependencies on external source tarballs.

 -- Paul Seelig <pseelig@debian.org>  Sun, 18 Feb 2001 14:10:42 +0200

unhtml (2.2-5) frozen unstable; urgency=low

  * Recompiled with proper glibc support for frozen

 -- Paul Seelig <pseelig@debian.org>  Wed, 19 Jan 2000 12:51:04 +0200

unhtml (2.2-4) unstable; urgency=low

  * Added some patches sent by "Prophet of the way <afu@wta.att.ne.jp>"
    to enable proper conversion of HTML entities.  Closes Bug#47366.

 -- Paul Seelig <pseelig@debian.org>  Wed, 27 Oct 1999 18:29:10 +0200

unhtml (2.2-3) unstable; urgency=low

  * Upstream author agreed to make his source really conform to the GPL
    This should address Bug#17828 and unhtml is now DFSG compliant. :-)
  * Changed maintainer email address to "pseelig@debian.org".
  * Bumped up to standards version 3.0.1

 -- Paul Seelig <pseelig@debian.org>  Wed, 13 Oct 1999 13:04:07 +0200

unhtml (2.2-2) unstable frozen; urgency=low

  * Moved to non-free until copyright gets properly resolved.  
    This should address Bug#17828.
  * Changed maintainer email address to "pseelig@debian.org".

 -- Paul Seelig <pseelig@debian.org>  Sun, 06 Dec 1998 16:09:59 +0200

unhtml (2.2-1) unstable; urgency=low

  * New upstream release

 -- Paul Seelig <pseelig@goofy.zdv.uni-mainz.de>  Wed, 04 Feb 1998 16:09:59 +0200

unhtml (2.1-4) unstable; urgency=low

  * Corrected typos in debian/control file and debian/README.debian closing
    bug #16790.

 -- Paul Seelig <pseelig@goofy.zdv.uni-mainz.de>  Fri, 16 Jan 1998 15:31:52 +0200

unhtml (2.1-3) unstable; urgency=low

  * Recompiled with libc6

 -- Paul Seelig <pseelig@goofy.zdv.uni-mainz.de>  Wed, 10 Dec 1997 10:31:52 +0200

unhtml (2.1-2) unstable; urgency=low

  * The original author agreed with the change of his programs' sources 
    and name and provided a modified version of his sources under
    "ftp://kombat.acadiau.ca/pub/linux/Utils/clean-2.1/unhtml-2.1.tar.gz"
    which in turn was used for building this Debian package.

 -- Paul Seelig <pseelig@goofy.zdv.uni-mainz.de>  Mon, 29 Sep 1997 18:06:36 +0200

unhtml (2.1-1) unstable; urgency=low

  * Initial Release based on package clean-2.1 which was renamed to 'unhtml'
    for mnemonic and description reasons.

  * Changed all occurrences of "clean" to "unhtml" in the clean-2.1 source
    package. The original author agreed with the change of his programs' 
    sources and name.

 -- Paul Seelig <pseelig@goofy.zdv.uni-mainz.de>  Wed, 20 Aug 1997 01:18:21 +0200

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: unhtml
Section: text
Priority: extra
Maintainer: Paul Seelig <pseelig@debian.org>
Build-Depends: debmake
Standards-Version: 3.0.1

Package: unhtml
Architecture: any
Depends: ${shlibs:Depends}
Description: Removing the markup tags from a HTML file
 This program removes all HTML tags from a HTML file and directs it's output
 to stdout. It can be used as a filter for getting the text content of a HTML
 file without the need of firing up a web browser.

## unhtml 2.3.6

=== debian/changelog ===
unhtml (2.3.6) unstable; urgency=low

  * Forgot to change the Maintainer field in debian/control.  Doh.
  * Closes: bug#134447 -- lintian warnings about standards level
  * Added test cases and tests directory
  * Closes: bug#58137 -- arbitrary limit on tag lengths removed
  * Closes: bug#58135 -- too naive about <> in plain text; unhtml
    now checks to see if a tag is a known html tag and only removes
    the text if it is.

 -- Al Stone <ahs3@debian.org>  Sun, 25 Apr 2004 22:07:18 -0600

unhtml (2.3.5) unstable; urgency=low

  * New maintainer.
  * Closes: bug#234419 -- ITA.
  * Closes: bug#164613 -- typo in README.debian and long description 
    of the package

 -- Al Stone <ahs3@debian.org>  Fri, 23 Apr 2004 17:28:49 -0600

unhtml (2.3.4) unstable; urgency=low

  * Having already orphaned this package here is my last upload for it
    setting the package maintainer to Debian QA Group.

 -- Paul Seelig <pseelig@debian.org>  Wed, 10 Mar 2004 12:51:46 +0100

=== debian/control ===
Source: unhtml
Section: text
Priority: extra
Maintainer: Al Stone <ahs3@debian.org>
Build-Depends: debmake
Standards-Version: 3.6.1

Package: unhtml
Architecture: any
Depends: ${shlibs:Depends}
Description: Remove the markup tags from an HTML file
 This program removes all HTML tags from an HTML file and directs its
 output to stdout.  It can be used as a filter for getting the text
 content of an HTML file without the need of firing up a web browser.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

package=unhtml

build:
	$(checkdir)
	
	rm -f unhtml
	$(MAKE) CFLAGS="-O2 -g -Wall"
	touch build

clean:
	$(checkdir)
	-rm -f build
	-$(MAKE) clean
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core debian/substvars

binary-indep: checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch: checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp
	cd debian/tmp && install -d `cat ../dirs`
	install unhtml `pwd`/debian/tmp/usr/bin
# Must have debmake installed for this to work. Otherwise please copy
# /usr/bin/debstd into the debian directory and change debstd to debian/debstd
	debstd Readme.html Readme.txt 
	dpkg-gencontrol -isp
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## unhtml 2.3.7

=== debian/changelog ===
unhtml (2.3.7) unstable; urgency=low

  * Orphaning the package.  Maintainer changed to Debian QA Group
    <packages@qa.debian.org>

 -- Al Stone <ahs3@debian.org>  Sun, 15 May 2005 20:25:51 -0600

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: unhtml
 Section: text
 Priority: extra
-Maintainer: Al Stone <ahs3@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debmake
 Standards-Version: 3.6.1

## unhtml 2.3.8

=== debian/changelog ===
unhtml (2.3.8) unstable; urgency=low

  * QA upload. Switch to debhelper.

 -- Santiago Vila <sanvila@debian.org>  Wed,  3 Aug 2005 17:43:46 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: text
 Priority: extra
 Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debmake
-Standards-Version: 3.6.1
+Build-Depends: debhelper (>= 4)
+Standards-Version: 3.6.2
 
 Package: unhtml
 Architecture: any

## unhtml 2.3.9

=== Makefile ===
--- 
+++ 
@@ -7,6 +7,7 @@
 #
 
 CC     = gcc
+MAKE   = make
 RM     = rm -f
 CFLAGS = -Wall
 # CFLAGS = -Wall -DDEBUG
@@ -26,6 +27,9 @@
 esc.o:	esc.c esc.h
 	$(CC) $(CFLAGS) -c esc.c
 
+check: all
+	$(MAKE) -C tests
+
 clean:
 	$(RM) core *.o unhtml

=== tests/Makefile ===
#
# Makefile for unhtml test suite
#

CC     = gcc
MAKE   = make
RM     = rm -f
CFLAGS = -Wall
# CFLAGS = -Wall -DDEBUG

all: check

check: clean test1 test2 test3 test4 test5
	@( val=`diff -q expected.results results` ; \
	  if [ "$$val" ] ; \
	  then \
	     echo "one or more tests failed" ; \
	     exit 1 ; \
	  else  \
	     echo "all tests passed" ; \
	  fi ; )

test1:
	@echo "   running test1 ..."
	@../unhtml test1.html > tmp1
	@( diff -q tmp1 test1.out && echo test1 >> results )

test2:
	@echo "   running test2 ..."
	@../unhtml test2.html > tmp2
	@( diff -q tmp2 test2.out && echo test2 >> results )

test3:
	@echo "   running test3 ..."
	@../unhtml test3.html > tmp3
	@( diff -q tmp3 test3.out && echo test3 >> results )

test4:
	@echo "   running test4 ..."
	@../unhtml test4.html > tmp4
	@( diff -q tmp4 test4.out && echo test4 >> results )

test5:
	@echo "   running test5 ..."
	@../unhtml test5.html > tmp5
	@( diff -q tmp5 test5.out && echo test5 >> results )

clean:
	@$(RM) core *.o unhtml results
	@$(RM) tmp1 tmp2 tmp3 tmp4 tmp5

=== debian/changelog ===
unhtml (2.3.9-6) unstable; urgency=medium

  * QA upload.

  [ Jelmer Vernooĳ ]
  * Migrate repository from alioth to salsa.

  [ Petter Reinholdtsen ]
  * Use secure copyright file specification URI.
  * Bump debhelper from deprecated 9 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Change priority extra to priority optional.
  * Fix field name typo in debian/copyright (Upstrem-Name ⇒ Upstream-Name).
  * Disabled parallel building, as it do not work.
  * Adjust d/rules to fix FTCBFS. (Closes: #927923)

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 30 May 2024 15:39:42 +0200

unhtml (2.3.9-5) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group <packages@qa.debian.org>. (see: #1015847)

 -- Marcos Talau <talau@debian.org>  Wed, 16 Nov 2022 07:17:40 -0300

unhtml (2.3.9-4) unstable; urgency=medium

  * Bump to Standards-Version 3.9.8. No changes required.
  * Update Vcs-Git and Vcs-Browser: set canonical and secure URIs.
  * debian/copyright: fix GPL long name.

 -- Mònica Ramírez Arceda <monica@debian.org>  Sat, 21 Jan 2017 17:35:10 +0100

unhtml (2.3.9-3) unstable; urgency=low

  * debian/compat: update to 9.
  * debian/control:
    - Update Maintainer field with Debian email.
    - Bump to Standards-Version 3.9.3. No changes required.
    - Update to debhelper 9.
  * debian/copyright: switch to machine-readable format.
  * Enable security hardening build flags:
    - debian/rules: pass hardening build flags to Makefile.
    - 30-fix-format-security-error.patch: fix error: "format not a string
      literal and no format arguments [-Werror=format-security]". This error
      appears when applying hardening build flags.
    - 40-add-flags-makefile.patch: add flags to unhtml target.

 -- Mònica Ramírez Arceda <monica@debian.org>  Sat, 23 Jun 2012 18:47:29 +0200

unhtml (2.3.9-2) unstable; urgency=low

  * Adopt the package (Closes: #576167).
  * Add Vcs-Git,Vcs-Browser fields in debian/control.

 -- Mònica Ramírez Arceda <monica@probeta.net>  Wed, 02 Feb 2011 11:12:58 +0100

unhtml (2.3.9-1) unstable; urgency=low

  * QA upload.
    - Move to packaging format "3.0 (quilt)".
  * debian/clean
    - New file.
  * debian/chnagelog
    - Fix Debian version to *-1.
  * debian/compat
    - Update to 8.
  * debian/control
    - (Build-Depends): update to debhelper 8.
    - (Depends): add ${misc:Depends}.
    - (Maintainer): Set to Debian QA Group.
    - (Standards-Version): update to 3.9.1.
  * debian/copyright
    - Update layout.
  * debian/{docs,manpages}
    - New file.
  * debian/patches
    - (10): New. Make 8-bit clean (Closes: #364236).
    - (20): New. Off by one allocation (Closes: #534757).
  * debian/rules
    - (CC): Remove hard coded variable.
    - Update to dh(1).
  * debian/source/format
    - New file.

 -- Jari Aalto <jari.aalto@cante.net>  Mon, 25 Oct 2010 19:28:16 +0300

unhtml (2.3.9) unstable; urgency=low

  * New maintainer (closes: #309264).

 -- Víctor Pérez Pereira <vperez@debianvenezuela.org>  Wed, 1 Mar 2006 13:36:29 -0400

=== debian/control ===
Source: unhtml
Section: text
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/debian/unhtml.git
Vcs-Browser: https://salsa.debian.org/debian/unhtml

Package: unhtml
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Remove the markup tags from an HTML file
 This program removes all HTML tags from an HTML file and directs its
 output to stdout. It can be used as a filter for getting the text
 content of an HTML file without the need of firing up a web browser.

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE = unhtml

CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
FLAGS:=$(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -fstack-protector-all -g -Wall

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

override_dh_auto_build:
	dh_auto_build -- CFLAGS="$(FLAGS)"

override_dh_auto_install:
	install -m 755 -D $(PACKAGE) debian/$(PACKAGE)/usr/bin/$(PACKAGE)

%:
	dh $@ --no-parallel

# End of file
